/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __RUA_INFO_INTERNAL_H__
#define __RUA_INFO_INTERNAL_H__

#include <rua_types.h>
#include <rua_manager.h>

#ifdef __cplusplus
extern "C" {
#endif

int rua_info_foreach(rua_manager_rua_info_cb, void *user_data);

int rua_info_usr_foreach(uid_t uid, rua_manager_rua_info_cb, void *user_data);

#ifdef __cplusplus
}
#endif

#endif /*__RUA_INFO_INTERNAL_H__*/
